Skip to main content
POST
/
crypto
/
transfers
/
tokens
curl -X POST https://secureapi.gridlog.io/api/v1/crypto/transfers/tokens \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "chain": "polygon",
    "fromPrivateKey": "0xPRIVATE_KEY...",
    "toAddress": "0xRECIPIENT...",
    "amount": "50.00",
    "token": "usdc"
  }'
{
  "txHash": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
  "status": "pending",
  "gasUsed": "65000"
}
chain
string
required
Blockchain network. E.g. polygon, ethereum, solana, tron, stellar
fromPrivateKey
string
required
Sender’s private key (used to sign the transaction)
toAddress
string
required
Recipient’s wallet address
amount
string
required
Amount to send as a human-readable string (e.g., "100.50")
token
string
Token to send: native, usdc, or usdt. Defaults to native.
memo
string
Memo field. Required for Stellar USDC/USDT transfers.
memoType
string
Memo type for Stellar: text, id, or hash. Defaults to text.
gasPrice
string
Custom gas price override (EVM chains only)
gasLimit
string
Custom gas limit override (EVM chains only)
curl -X POST https://secureapi.gridlog.io/api/v1/crypto/transfers/tokens \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "chain": "polygon",
    "fromPrivateKey": "0xPRIVATE_KEY...",
    "toAddress": "0xRECIPIENT...",
    "amount": "50.00",
    "token": "usdc"
  }'
{
  "txHash": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
  "status": "pending",
  "gasUsed": "65000"
}
txHash
string
The on-chain transaction hash. Use this to track the transaction on a block explorer.
status
string
Initial status. One of: pending, confirmed, failed
gasUsed
string
Actual gas consumed by the transaction (EVM chains)
Always estimate fees before sending. See Estimate Transfer Fees to ensure the wallet has enough native token to pay fees.
Transactions are broadcast immediately and cannot be cancelled. Always double-check addresses before calling this endpoint.